Skip to main content
POST
/
v1
/
interests
Create Interest
curl --request POST \
  --url https://api.mokaru.ai/v1/interests \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>"
}
'

Documentation Index

Fetch the complete documentation index at: https://docs.mokaru.ai/llms.txt

Use this file to discover all available pages before exploring further.

Overview

Add a new interest or hobby to the authenticated user’s profile.
Scope required: interests:write | Rate limit: 20 requests/min

Request

POST /v1/interests
Content-Type: application/json

Body Parameters

name
string
required
Interest name (max 200 characters)
description
string
Free-text description

Response

{
  "success": true,
  "id": "clx..."
}